<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
             xmlns:app="http://schemas.android.com/apk/res-auto"
             xmlns:tools="http://schemas.android.com/tools"
             android:layout_width="match_parent"
             android:layout_height="match_parent"
             tools:context=".fragments.SettingsFragment"
             android:background="?themePrimary">

    <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

        <ScrollView
                android:layout_width="match_parent"
                android:layout_height="match_parent">
            <LinearLayout
                    android:orientation="vertical"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
            >
                <androidx.cardview.widget.CardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="9dp"
                        android:id="@+id/cardView_Info"
                        app:cardElevation="5dp"
                        app:cardUseCompatPadding="true"
                        app:cardBackgroundColor="?themeSecondary">
                    <LinearLayout
                            android:orientation="vertical"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">
                        <TextView
                                android:text="@string/info"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:id="@+id/txtView_Info"
                                android:typeface="sans"
                                android:textSize="18sp"
                                android:textStyle="bold"
                                android:fontFamily="sans-serif"
                                android:layout_margin="7dp"
                                android:textColor="?colorAccent"/>
                        <LinearLayout
                                android:orientation="vertical"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:padding="7dp"
                                android:id="@+id/linLayout_User">
                            <TextView
                                    android:text="@string/sample_user"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:id="@+id/txtView_User"
                                    android:textSize="16sp"
                                    android:textStyle="bold"
                            />
                            <TextView
                                    android:text="@string/user"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:id="@+id/txtView_UserDesc"/>
                        </LinearLayout>
                        <View
                                android:id="@+id/divider2"
                                android:layout_width="match_parent"
                                android:layout_height="1dp"
                                android:background="?dividerColor"
                        />
                        <LinearLayout
                                android:orientation="vertical"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_margin="7dp"
                                android:id="@+id/linLayout_Course">
                            <TextView
                                    android:text="@string/sample_course"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:id="@+id/txtView_Course"
                                    android:textSize="16sp"
                                    android:textStyle="bold"/>
                            <TextView
                                    android:text="@string/course_desc"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:id="@+id/txtView_CourseDesc"/>
                        </LinearLayout>
                        <View
                                android:id="@+id/divider"
                                android:layout_width="match_parent"
                                android:layout_height="1dp"
                                android:background="?dividerColor"
                        />
                        <LinearLayout
                                android:orientation="vertical"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_margin="7dp"
                                android:id="@+id/linLayout_ManageLessons">

                            <TextView
                                    android:id="@+id/txtView_ManageLessons"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:text="@string/manage_lessons"
                                    android:textSize="16sp"
                                    android:textStyle="bold" />

                            <TextView
                                    android:id="@+id/txtView_ManageLessonsDesc"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:text="@string/manage_lessons_desc" />
                        </LinearLayout>
                        <View
                                android:id="@+id/divider7"
                                android:layout_width="match_parent"
                                android:layout_height="1dp"
                                android:background="?dividerColor"
                                />
                        <LinearLayout
                                android:orientation="vertical"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_margin="7dp"
                                android:id="@+id/linLayout_About">
                            <TextView
                                    android:text="@string/about_txtView"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:id="@+id/txtView_About"
                                    android:textStyle="bold"
                                    android:textSize="16sp"
                            />
                            <TextView
                                    android:text="@string/about_version"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:id="@+id/txtView_AboutDesc"/>
                        </LinearLayout>
                        <View
                                android:id="@+id/divider6"
                                android:layout_width="match_parent"
                                android:layout_height="1dp"
                                android:background="?dividerColor"
                        />
                        <LinearLayout
                                android:orientation="vertical"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent" android:id="@+id/linLayout_Licence"
                                android:layout_margin="7dp">
                            <TextView
                                    android:text="@string/licenses"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content" android:id="@+id/textView3"
                                    android:textStyle="bold" android:textSize="16sp"/>
                        </LinearLayout>
                    </LinearLayout>
                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:id="@+id/cardView_Settings"
                        app:cardElevation="5dp"
                        app:cardUseCompatPadding="true"
                        app:cardBackgroundColor="?themeSecondary">
                    <LinearLayout
                            android:orientation="vertical"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:id="@+id/linLayout_Settings"
                    >
                        <TextView
                                android:text="@string/settings"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:id="@+id/txtView_Settings"
                                android:typeface="sans"
                                android:textSize="18sp"
                                android:textColor="?colorAccent"
                                android:textStyle="bold"
                                android:paddingTop="3dp" android:layout_margin="7dp"/>
                        <LinearLayout
                                android:orientation="vertical"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent" android:id="@+id/linLayout_Theme"
                                android:layout_margin="7dp">
                            <TextView
                                    android:text="@string/theme"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content" android:id="@+id/txtView_Theme"
                                    android:textSize="16sp" android:textStyle="bold"/>
                            <TextView
                                    android:text="@string/themeLight"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content" android:id="@+id/txtView_SelectedTheme"/>
                        </LinearLayout>
                        <View
                                android:id="@+id/divider3"
                                android:layout_width="match_parent"
                                android:layout_height="1dp"
                                android:background="?dividerColor"
                        />

                        <LinearLayout
                                android:id="@+id/linLayout_PrimaryColor"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_margin="7dp"
                                android:clickable="true"
                                android:focusable="true"
                                android:gravity="center_vertical|end"
                                android:orientation="horizontal">

                            <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:orientation="vertical">

                                <TextView
                                        android:id="@+id/txtView_PrimaryColor"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:text="@string/primary_color"
                                        android:textSize="16sp"
                                        android:textStyle="bold" />

                                <TextView
                                        android:id="@+id/txtView_PrimaryColorDesc"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:text="@string/primary_color_desc" />
                            </LinearLayout>

                            <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_margin="7dp"
                                    android:gravity="end"
                                    android:orientation="vertical">

                                <View
                                        android:id="@+id/view_PrimaryColor"
                                        android:layout_width="40dp"
                                        android:layout_height="40dp"
                                        android:background="?colorPrimary" />
                            </LinearLayout>
                        </LinearLayout>
                        <View
                                android:id="@+id/divider4"
                                android:layout_width="match_parent"
                                android:layout_height="1dp"
                                android:background="?dividerColor"
                        />
                        <LinearLayout
                                android:orientation="horizontal"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:gravity="center_vertical|end"
                                android:clickable="true"
                                android:id="@+id/linLayout_AccentColor"
                                android:focusable="true" android:layout_margin="7dp">
                            <LinearLayout
                                    android:orientation="vertical"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content">
                                <TextView
                                        android:text="@string/accent_color"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:id="@+id/txtView_AccentColor"
                                        android:textSize="16sp"
                                        android:textStyle="bold"
                                />
                                <TextView
                                        android:text="@string/accent_color_desc"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:id="@+id/txtView_AccentColorDesc"/>
                            </LinearLayout>
                            <LinearLayout
                                    android:orientation="vertical"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_margin="7dp"
                                    android:gravity="end">
                                <View
                                        android:layout_width="40dp"
                                        android:layout_height="40dp"
                                        android:id="@+id/view_AccentColor"
                                        android:background="?colorAccent"/>
                            </LinearLayout>
                        </LinearLayout>
                        <View
                                android:id="@+id/divider5"
                                android:layout_width="match_parent"
                                android:layout_height="1dp"
                                android:background="?android:attr/listDivider"
                        />
                        <Switch
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:id="@+id/switch_buffet"
                                android:textSize="16sp"
                                android:textStyle="bold"
                                android:text="@string/show_buffet"
                                android:layout_margin="7dp"/>
                    </LinearLayout>
                </androidx.cardview.widget.CardView>
            </LinearLayout>
        </ScrollView>
    </androidx.constraintlayout.widget.ConstraintLayout>
</FrameLayout>